# apc_delete

(PECL apc >= 3.0.0)

apc_delete — Removes a stored variable from the cache

### Description

apc_delete ( string `$key` ) : mixed

Removes a stored variable from the cache.

### Parameters

`key`

  The `key` used to store the value (with apc_store()).

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 A apc_delete() example

`<?php
$bar = 'BAR';
apc_store('foo', $bar);
apc_delete('foo');
// this is obviously useless in this form
?>`

### See Also

- apc_store() - Cache a variable in the data store
- apc_fetch() - Fetch a stored variable from the cache